► |  | The Racket Foreign Interface

1 | Overview
2 | Loading Foreign Libraries
3 | C Types
4 | Pointer Functions
5 | Derived Utilities
6 | Miscellaneous Support
7 | Unexported Primitive Functions
| Bibliography
| Index

▼ | 3 | C Types

3.1 | Type Constructors
3.2 | Numeric Types
3.3 | Other Atomic Types
3.4 | String Types
3.5 | Pointer Types
3.6 | Function Types
3.7 | C Struct Types
3.8 | C Array Types
3.9 | C Union Types
3.10 | Enumerations and Masks

On this page:

_ stdbool
_ bool
_ void

top ← prev up next →

#### 3.3`` Other Atomic Types

> > value

> > _stdbool : ctype?

The _stdbool type represents the C99 bool type from <stdbool.h>. It translates #f to a 0 bool and any other value to a 1 bool.

Added in version 6.0.0.6 of package base.

> > value

> > _bool : ctype?

Translates #f to a 0 int and any other value to a 1 int, reflecting one of many traditional (i.e., pre-C99) encodings of booleans. See also _stdbool.

> > value

> > _void : ctype?

Indicates a Racket #<void> return value, and it cannot be used to translate values to C. This type cannot be used for function inputs.
top ← prev up next →